/* smac_schedules_dlg.h
 * S-MAC schedules addition for ethereal
 *
 * $Id: smac_schedules_dlg.h 4729 2006-01-25 00:58:49Z smchenry $
 *
 * Copyright 2005, University of Southern California
 * By Tyler McHenry <smchenry@isi.edu>
 *
 * based on voip_conversations_dlg.h
 * Copyright 2004, Ericsson , Spain
 * By Francisco Alcoba <francisco.alcoba@ericsson.com>
 *
 * based on h323_conversations_dlg.h
 * Copyright 2004, Iskratel, Ltd, Kranj
 * By Miha Jemec <m.jemec@iskratel.si>
 *
 * Ethereal - Network traffic analyzer
 * By Gerald Combs <gerald@ethereal.com>
 * Copyright 1998 Gerald Combs
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation,  Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#ifndef SMAC_CALLS_DLG_H_INCLUDED
#define SMAC_CALLS_DLG_H_INCLUDED

#include <gtk/gtk.h>

#define SMAC_MAX_FILTER_LENGTH 2048

/**
 * Update the contents of the dialog box clist with that of list.
 *
 * @param list pointer to list of rtp_stream_info_t*
 */
extern void smac_calls_dlg_update(GList *list);

/* functions for tap_listeners in smac_calls.c */
extern void smac_calls_dlg_draw(void *ptr);
extern void smac_calls_dlg_reset(void *ptr);

#endif /* SMAC_CALLS_DLG_H_INCLUDED*/
